> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom domains

> List the custom domains of the workspace, oldest first.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/custom-domains.yaml GET /custom_domains
openapi: 3.0.3
info:
  title: NeetoForm Custom Domains APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Custom Domains
    description: APIs to manage custom domains of the workspace.
paths:
  /custom_domains:
    get:
      tags:
        - Custom Domains
      summary: List custom domains
      description: List the custom domains of the workspace, oldest first.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_domain_list_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. Defaults to 1 when
        omitted.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted.
      required: false
      schema:
        type: integer
  schemas:
    custom_domain_list_response:
      allOf:
        - type: object
          properties:
            custom_domains:
              type: array
              items:
                $ref: '#/components/schemas/custom_domain'
        - $ref: '#/components/schemas/paginated_response'
    custom_domain:
      type: object
      properties:
        id:
          type: string
          example: 5f1c2a9e-7b4d-4e3a-8c6f-1d2e3f4a5b6c
        hostname:
          type: string
          example: forms.example.com
        status:
          type: string
          description: Setup status of the domain, for example `pending` or `active`.
          example: pending
        status_reason:
          type: string
          nullable: true
          description: Reason for the current status, when there is one.
          example: null
        created_at:
          $ref: '#/components/schemas/date_time_field'
        dns_target:
          type: string
          description: Value for the CNAME record to create for the hostname.
          example: neetodeployapp.com
        dns_target_ip:
          type: string
          description: >-
            IP address for the A record to create when the hostname is a root
            domain.
          example: 98.89.128.226
    paginated_response:
      type: object
      properties:
        pagination:
          type: object
          properties:
            total_records:
              type: integer
            total_pages:
              type: integer
            current_page_number:
              type: integer
            page_size:
              type: integer
    date_time_field:
      type: string
      format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.